Subject: [PATCH 10/11 v3] ARM: s3c24xx/s3c64xx: constify gpio_led

From: [email-masked] (arvindY)
Date: Wed, 27 Dec 2017 16:33:09 +0530

Hi,

On Wednesday 27 December 2017 01:49 PM, Krzysztof Kozlowski wrote:
> On Tue, Dec 26, 2017 at 7:50 PM, Arvind Yadav <[email-masked]> wrote:
>> gpio_led are not supposed to change at runtime.
>> struct gpio_led_platform_data working with const gpio_led
>> provided by <linux/leds.h>. So mark the non-const structs
>> as const.
>>
>> Signed-off-by: Arvind Yadav <[email-masked]>
>> ---
>> changes in v2:
>>                The GPIO LED driver can be built as a module, it can
>>                be loaded after the init sections have gone away.
>>                So removed '__initconst'.
>> changes in v3:
>>               Description was missing.
>>
>>   arch/arm/mach-s3c24xx/mach-h1940.c    | 2 +-
>>   arch/arm/mach-s3c24xx/mach-rx1950.c   | 2 +-
>>   arch/arm/mach-s3c64xx/mach-hmt.c      | 2 +-
>>   arch/arm/mach-s3c64xx/mach-smartq5.c  | 2 +-
>>   arch/arm/mach-s3c64xx/mach-smartq7.c  | 2 +-
>>   arch/arm/mach-s3c64xx/mach-smdk6410.c | 2 +-
>>   6 files changed, 6 insertions(+), 6 deletions(-)
> There were few build errors reported by kbuild for your patches. Are
> you sure that you compiled every file you touch?
>
> Best regards,
> Krzysztof
Yes, I got few build error which I have fixed it. and send updated patch.
Now I have done cross checking.  It's not having any build failure.

Regards
arvind